#include "lgi/common/Lgi.h"
#include "resdefs.h"

class App : public LWindow, public LResourceLoad
{
public:
	App()
	{
		SetQuitOnClose(true);
		LoadFromResource(IDD_MAIN, this);
		LRect r(0, 0, 1000, 800);
		SetPos(r);
		MoveToCenter();
		
		if (Attach(NULL))
		{
			AttachChildren();
			Visible(true);
		}
	}
};

int LgiMain(OsAppArguments &AppArgs)
{
	LApp a(AppArgs, "Axefx2Explorer");
	if (a.IsOk())
	{
		a.AppWnd = new App;
		a.Run();
	}
	return 0;
}